Exchanges the one-time handoff code from the frontend URL (?code=) for the token. A code can only be exchanged once and expires after a short time (2 minutes by default). Limited to 20 requests per minute per IP. Used by the fetchdocs frontend, so the token itself never has to be part of a URL.
The handoff code from the frontend URL.
Object that represent the token details.
The JWT token that is used to authenticate the user (identity) in the frontend UI.
The date and time when the token expires. This is also included in the JWT token itself.
One-time code that opens the frontend for this token without putting the token into a URL. It can be exchanged once (POST /v1/token/exchange) and expires after a short time (2 minutes by default).
The frontend URL with the handoff code. Redirect the user to this URL to open fetchdocs. Opening the frontend with ?token= keeps working.
The error response is returned when the client is not authenticated. The client must provide a valid authentication key to access the resource.
The error code is a machine readable code describing the error.
The error message is a human readable message describing the error. It is mainly used for understanding the error by developers. It is not meant to be shown to real users.
For many errors we provide suggestions how you can resolve the error on your own.
The trace ID is a unique identifier for the request. It is used to trace the request through the system. Please provide the trace_id when reporting an error to our support team.
This parameter provides a way to contact support. It is mainly used for developers. It is not meant to be shown to real users.
The error response is returned when the client has provided invalid data in the request.
The error code is a machine readable code describing the error.
The error message is a human readable message describing the error. It is mainly used for understanding the error by developers. It is not meant to be shown to real users.
For many errors we provide suggestions how you can resolve the error on your own.
The trace ID is a unique identifier for the request. It is used to trace the request through the system. Please provide the trace_id when reporting an error to our support team.
The errors object contains a list of fields with their corresponding error messages.
This parameter provides a way to contact support. It is mainly used for developers. It is not meant to be shown to real users.